package com.zioinfo.mall.zone.mapper;

import com.zioinfo.mall.zone.MallZone;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ZoneMapper {
    List<MallZone> findByZip(@Param("zip") String zip);
    List<MallZone> findByStore(@Param("storeId") Long storeId);
    List<MallZone> findAll();
    int insert(MallZone z);
    int delete(@Param("id") Long id);
}
